/*****************************************************************************/
/*								             */
/* Author: Michael C. Nechyba					             */
/* Last modified: 11/5/2002                   			             */
/*								             */
/* File: "nn_main.c" 						             */
/*								             */
/* This code is modified from the freely available NevProp v1.16 neural      */
/* network simulator (authored by Phil Goodman, David Rosen and Allen        */
/* Plummer).                                                                 */
/*								             */
/*****************************************************************************/

#include <stdio.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <assert.h>
#ifdef MacOS
#include <console.h>
#endif
#include "nn_util.h"

extern char *NetworkFile;
extern int NTrials;
extern int Trial;

/***************************** Main program **********************************/

int main(int argc, char **argv)
{
  int i;

#ifdef MacOS
  argc = ccommand(&argv);
#endif

  if(argc < 2) {
    fprintf(stderr, "No network file is given. Fatal error.\n");
    exit(-1);
  } 
  
  NetworkFile = argv[1];

  if(argc == 3) {
    NTrials = atoi(argv[2]);
  } else {
    NTrials = 1;
  }  

  for(i = 0; i < NTrials; i++) {
    Trial = i + 1;
    main_loop();
  }

  exit(1);
}
/*****************************************************************************/
